Уязвимость BDU:2022-01445

Дата: 21.02.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-01445.

Наименование уязвимости: Уязвимость утилиты для управления самодостаточными пакетами snapd, связанная с ошибками выполнения многопоточных задач, позволяющая нарушителю выполнить произвольный код с привилегиями root.

Описание уязвимости: Уязвимость утилиты для управления самодостаточными пакетами snapd связана с ошибками выполнения многопоточных задач. Эксплуатация уязвимости может позволить нарушителю выполнить произвольный код с привилегиями root
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 10 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Операционная система Fedora Project Fedora 34 | Операционная система Debian GNU/Linux 11 | Операционная система Fedora Project Fedora 35 | Операционная система Canonical Ltd. Ubuntu 21.10 | Операционная система ООО «Ред Софт» РЕД ОС 7.3 | Прикладное ПО информационных систем Canonical Ltd. snapd до 2.54.2 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1804 LTS | Debian GNU/Linux 10 | Ubuntu 2004 LTS | Fedora 34 | Debian GNU/Linux 11 | Fedora 35 | Ubuntu 2110 | РЕД ОС 73 |
Дата выявления: 21.02.2022.
CVSS 2.0: AV:L/AC:L/Au:S/C:C/I:C/A:C
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
Для РедОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для snapd:
Обновление программного обеспечения до версии 2.54.2 и выше

Для Debian GNU/Linux:
https://www.debian.org/security/2022/dsa-5080

Для Ubuntu:
https://ubuntu.com/security/notices/USN-5292-1

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/3QTBN7LLZISXIA4KU4UKDR27Q5PXDS2U/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/XCGHG6LJAVJJ72TMART6A7N4Z6MSTGI7/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2021-44731.

Тип ошибки CWE: CWE-362
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://redos.red-soft.ru/support/secure/
https://nvd.nist.gov/vuln/detail/CVE-2021-44731
https://www.debian.org/security/2022/dsa-5080
https://ubuntu.com/security/notices/USN-5292-1
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/3QTBN7LLZISXIA4KU4UKDR27Q5PXDS2U/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/XCGHG6LJAVJJ72TMART6A7N4Z6MSTGI7/
http://www.openwall.com/lists/oss-security/2022/02/18/2
http://www.openwall.com/lists/oss-security/2022/02/23/1
http://www.openwall.com/lists/oss-security/2022/02/23/2

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.